package com.sun.solarisinstall.panels;

import java.util.*;

public class DiskTableException extends Exception
{
  private Vector errors;
  
  public DiskTableException( String message ) 
    {
      super( message );
      errors = new Vector();
      errors.addElement( message );
    }

  public DiskTableException( Vector errors )
    {
      this.errors = errors;
    }

  public Vector getErrors()
    {
      return errors;
    }
}
